Update Ovh Gateway Model Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/gateway-model"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/gateway-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/gateway-model \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"gateway_model": "<string>",
"resource_ids": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}OVH Clusters
Update Ovh Gateway Model Endpoint
Invalid states (unsupported model, non-OVH cluster, no recorded managed gateway, no active network resource) answer 409 with a detail message.
PUT
/
api
/
v1
/
clusters
/
ovh
/
{cluster_id}
/
gateway-model
Update Ovh Gateway Model Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/gateway-model"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/gateway-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/gateway-model \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"gateway_model": "<string>",
"resource_ids": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
s, m, l, xl, 2xl, 3xl